TALKD(8)

NAME
talkd - remote user communication server

SYNOPSIS
talkd [-dp]

DESCRIPTION
Talkd is the server that notifies a user that someone else wants to initiate a conversation. It acts a repository of invitations, responding to requests by clients wishing to rendezvous to hold a conversation. In normal operation, a client, the caller, initiates a rendezvous by sending a CTL_MSG (or CTL_MSG6 for IPv6) to the server of type LOOK_UP (see <protocols/talkd.h>). This causes the server to search its invitation tables to check if an invitation currently exists for the caller (to speak to the callee specified in the message). If the lookup fails, the caller then sends an ANNOUNCE message causing the server to broadcast an announcement on the callee's login ports requesting contact. When the callee responds, the local server uses the recorded invitation to respond with the appropriate rendezvous address and the caller and callee client programs establish a stream connection through which the conversation takes place.

OPTIONS
[-d] Debug mode; writes copious logging and debugging information to /var/log/talkd.log.

[-p] Packet logging mode; writes copies of malformed packets to /var/log/talkd.packets. This is useful for debugging interoperability problems.

SEE ALSO
talk(1), write(1)

HISTORY
The talkd command appeared in 4.3BSD. IPv6 support was developed by USAGI Project.